Skip to content

Monthly Usage Details

GET
/api/v1/billing/prepaid/monthly-estimate/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/billing/prepaid/monthly-estimate/?month=<MONTH>&year=<YEAR>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Fetches the prepaid monthly estimated billing details including usage, rates, discounts, and total amounts for a project and location, based on the selected month and year.

month
required
integer

The ID of the label to delete.

year
required
integer

Example

2025

Year for which the billing estimate is to be fetched (format- YYYY).

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successful monthly estimate billing response

Media typeapplication/json
object
code
integer
data
object
usage
Array<object>
object
quantity
number
rate
number
discount
number
description
string
line_item_value
number
sku_name
string
region
string
total_amount
number
total_discount
number
currency
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"usage": [
{
"quantity": 1,
"rate": 199,
"discount": 0,
"description": "Additional IP Address\nPublic IP: 164.52.207.136\nFrom: 23-April-2025 15:12 hours To: 23-April-2025 15:14 hours",
"line_item_value": 199,
"sku_name": "Addon_IP_Charge",
"region": "Delhi"
}
],
"total_amount": 1627.46,
"total_discount": 0,
"currency": "Currency : INR"
},
"errors": {},
"message": "Success"
}